読者です 読者をやめる 読者になる 読者になる

argius note

プログラミング関連

開発しています



1.7はどのバージョンのWindowsに対応しているか

Cygwin

久しぶりにCygwinの話題を。

Cygwin1.5は、Vistaではまともに動かないという報告が相次いでいます。調べてみると、ベータテスト中の次期バージョン1.7は、Vistaもサポートする、となっています。

現時点でのFAQの内容はこうなっています。

What versions of Windows are supported?

Cygwin can be expected to run on all modern 32 bit versions of Windows, except Windows CE. This includes Windows 95/98/ME/NT/2000/XP/2003 and the WOW64 32 bit environment on released 64 bit versions of Windows. As far as we know no one is working on a native 64 bit version of Cygwin. Since Cygwin is a community-supported free software project, patches to provide support for other versions would be thoughtfully considered. Paid support contracts or enhancements are available through Red Hat. For information about getting a Red Hat support contract, see http://cygwin.com/license.html.

Keep in mind that Cygwin can only do as much as the underlying OS supports. Because of this, Cygwin will behave differently, and exhibit different limitations, on the various versions of Windows.

(最初の数行の訳)
Cygwinは、WindowsCEを除く、最新の32ビット版Windows全てで動作するとされている。これにはWindows 95/98/ME/NT/2000/XP/2003と、64ビット版の32ビット互換モードが含まれる。知る限りでは、ネイティブ64ビット版には誰も手をつけていない。

http://cygwin.com/faq/faq-nochunks.html#faq.what.supported

What versions of Windows are supported?

Cygwin can be expected to run on all modern 32 bit versions of Windows, except Windows CE and Windows 95/98/Me. This includes, as of the time of writing this, Windows NT4, Windows 2000, Windows XP, Windows Server 2003, Windows Vista, Windows Server 2008, as well as the WOW64 32 bit environment on released 64 bit versions of Windows (XP/2003/Vista/2008). As far as we know no one is working on a native 64 bit version of Cygwin. Since Cygwin is a community-supported free software project, patches to provide support for other versions would be thoughtfully considered. Paid support contracts or enhancements are available through Red Hat. For information about getting a Red Hat support contract, see http://cygwin.com/license.html.

Keep in mind that Cygwin can only do as much as the underlying OS supports. Because of this, Cygwin will behave differently, and exhibit different limitations, on the various versions of Windows.

(最初の数行の訳)
Cygwinは、WindowsCE/95/98/MEを除く、最新の32ビット版Windows全てで動作するとされている。これには、これを書いている時点では、Windows NT4/2000/XP/Server2003/Vista/Server2008と、64ビット版(XP/2003/Vista/2008)の32ビット互換モードが含まれる。知る限りでは、ネイティブ64ビット版には誰も手をつけていない。

http://cygwin.com/1.7/faq/faq.html#faq.what.supported

Windows7については書かれていませんが、Vistaで動けばある程度は動くでしょう、きっと。